For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
      • GETGet dubbed transcript
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
LegacyDubbing

Get dubbed transcript

Deprecated
GET
/v1/dubbing/:dubbing_id/transcript/:language_code
GET
/v1/dubbing/:dubbing_id/transcript/:language_code
$curl https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcript/language_code
1{
2 "language": "string",
3 "utterances": [
4 {
5 "text": "",
6 "speaker_id": "unknown",
7 "start_s": 0,
8 "end_s": 0,
9 "words": [
10 {
11 "text": "",
12 "word_type": "unknown",
13 "start_s": 0,
14 "end_s": 0,
15 "characters": [
16 {
17 "text": "",
18 "start_s": 0,
19 "end_s": 0
20 }
21 ]
22 }
23 ]
24 }
25 ]
26}
Returns transcript for the dub as an SRT or WEBVTT file.
Was this page helpful?
Previous

Changelog

Next
Built with

Path parameters

dubbing_idstringRequired
ID of the dubbing project.
language_codestringRequired

ISO-693 language code to retrieve the transcript for. Use ‘source’ to fetch the transcript of the original media.

Headers

xi-api-keystringOptional

Query parameters

format_typeenumOptionalDefaults to srt
Format to return transcript in. For subtitles use either 'srt' or 'webvtt', and for a full transcript use 'json'. The 'json' format is not yet supported for Dubbing Studio.
Allowed values:

Response

Successful Response
DubbingTranscriptResponseModelobject
OR
string

Errors

422
Unprocessable Entity Error